BEEM - Android XMPP - Bug #191

AddContact - unbindservice ....
07/12/2009 05:55 PM - Vincent Véronis

Status: Closed Start date: 07/12/2009
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1

Affected version: Locale:

Description

07-12 15:51:44.933: ERROR/AndroidRuntime(884): Uncaught handler: thread main exiting due to uncaught exception

07-12 15:51:44.953: ERROR/AndroidRuntime(884): java.lang.RuntimeException: Unable to stop activity
{com.beem.project.beem/com.beem.project.oeem.ui.AddContact}: java.lang.lllegalArgumentException: Service not registered:
com.beem.project.beem.ui.AddContact$BeemServiceConnection@4381ed00

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at
android.app.ActivityThread.performDestroyActivity (Activity Thread.java:3097)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.app.ActivityThread.handleDestroyActivity(ActivityThread.java:3159)
07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.app.ActivityThread.access$2400(ActivityThread.java:112)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1724)
07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.os.Handler.dispatchMessage(Handler.java:99)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.os.Looper.loop(Looper.java:123)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.app.ActivityThread.main(ActivityThread.java:3948)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at java.lang.reflect.Method.invokeNative(Native Method)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at java.lang.reflect.Method.invoke(Method.java:521)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at
com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:782)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:540)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at dalvik.system.NativeStart.main(Native Method)

07-12 15:51:44.953: ERROR/AndroidRuntime(884): Caused by: java.lang.lllegalArgumentException: Service not registered:
com.beem.project.beem.ui.AddContact$BeemServiceConnection@4381ed00

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at

android.app.Activity Thread$Packagelnfo.forgetServiceDispatcher(Activity Thread.java:839)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at
android.app.ApplicationContext.unbindService(ApplicationContext.java:843)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.content.ContextWrapper.unbindService(ContextWrapper.java:312)
07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at com.beem.project.beem.ui.AddContact.onStop(AddContact.java:51)
07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.app.Instrumentation.callActivityOnStop(Instrumentation.java:1245)
07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at android.app.Activity.performStop(Activity.java:3564)

07-12 15:51:44.953: ERROR/AndroidRuntime(884):  at
android.app.ActivityThread.performDestroyActivity (Activity Thread.java:3092)

07-12 15:51:44.953: ERROR/AndroidRuntime(884): ... 11 more

Scenario :

Je suis dans le addContact.

Je recois une demande d'ajout de contact.

Je valide la demande.

Je me retrouve sur le addContact

Je fais une fleche pour retourner sur la contact list => Crash !

Y en a marre de se service .... !N

Related issues:
Related to Bug #192: Event listener dans BeemService et de XmppConnectionAdapter Closed 09/10/2009

History

#1 - 09/26/2009 02:21 PM - Nikita Kozlov
- Status changed from New to Feedback

- Assignee set to Nikita Kozlov
- % Done changed from 0 to 100

#2 - 11/16/2009 07:14 PM - Frédéric Barthéléry

- Status changed from Feedback to Resolved

Resolved i think

#3 - 11/26/2009 02:23 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

04/30/2025
